filter(1)

NAME
filter - Filter a volume image

SYNOPSIS
filter [options] input output filter [options] [-s,--studholme] input output average subject img0 [img1...] filter [options] [-R,--rohlfing] input output subject

DESCRIPTION
This tool applies spatial filtering operators, including cnotent-sensitive opersators, based on selective Gaussian kernels.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--gaussian <float>, -g <float>
    Gaussian filter width (sigma) [Default: disabled]

--radius <float>, -r <float>
    Filter radius (truncated outside) [Default: 2]

--mask <string>, -m <string>
    Binary mask file name [Default: NONE]

--studholme, -s
    Use Studholme's consistent filtering

--bin-width <float>, -b <float>
    Intensity bin width for consistent filtering [Default: 10]

--rohlfing, -R
    Use Rohlfing's single-image consistent filtering

--intensity-gaussian <float>, -G <float>
    Intensity gaussian sigma for consistent filtering [Default: 0]

  Image/Transformation Database

--db <string>
    Path to image/transformation database that should be updated with the newly created image. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.